<template>
    <app-layout title="Dashboard">
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                Posts
            </h2>
        </template>

        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg">
                    <div class="p-6 sm:px-20 bg-white border-b border-gray-200">
                        <div class="mt-5 text-2xl"> Create New Post </div>
                        <div class="mt-6 text-gray-500">
                            <form>
                                <div class="mt-4">
                                    <jet-label for="title" value="Post Title" />
                                    <jet-input id="title" type="text" class="mt-1 block w-full" v-model="form.title"/>
                                    <jet-input-error :message="errors.title" class="mt-2"/>
                                </div>
                                <div class="mt-4">
                                    <jet-label for="content" value="Post Content" />
                                    <jet-text-area id="content" v-model="form.content"/>
                                    <jet-input-error :message="errors.content" class="mt-2"/>
                                </div>
                                <div class="mt-4">
                                    <button type="button"
                                            v-if="!this.post"
                                            @click="submitPost"
                                            class="bg-blue-500 hover:bg-blue-700 text-white py-1 px-4 rounded mr-2">Add Post
                                    </button>
                                    <button type="button"
                                            v-if="this.post"
                                            @click="updatePost"
                                            class="bg-blue-500 hover:bg-blue-700 text-white py-1 px-4 rounded mr-2">Update Post
                                    </button>
                                    <Link :href="route('posts.create')" v-if="this.post">
                                        <button type="button"
                                            class="bg-gray-500 hover:bg-blue-700 text-white py-1 px-4 rounded mr-2">Create New Post
                                        </button>
                                    </Link>
                                    <a :href="route('posts.index')" v-if="!this.post">
                                        <button type="button"
                                            class="bg-gray-500 hover:bg-blue-700 text-white py-1 px-4 rounded mr-2">Cancel
                                        </button>
                                    </a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </app-layout>
</template>

<script>
    import { defineComponent } from 'vue'
    import AppLayout from '@/Layouts/AppLayout.vue'
    import JetLabel from '@/Jetstream/Label.vue'
    import JetInput from '@/Jetstream/Input.vue'
    import JetTextArea from '@/Jetstream/TextArea.vue'
    import JetInputError from '@/Jetstream/InputError'
    import { Link } from '@inertiajs/inertia-vue3';

    export default defineComponent({
        components: {
            AppLayout,
            JetLabel,
            JetInput,
            JetTextArea,
            JetInputError,
            Link
        },
        props: {
            post: Object,
            errors: {
                type: Object
            },
        },
         data() {
            return {
            form: this.$inertia.form({
                title: null,
                content: null,
            })
            }
        },
        mounted() {
            if(this.post){
                this.form.title = this.post.title,
                this.form.content = this.post.content
            }
        },
        methods: {
            submitPost() {
                this.form.post(route('posts.index'));
            },
            updatePost() {
                this.form.put(route('posts.update', this.post.id))
            }
        }
    })
</script>
